#ifndef __BASCMD
#define __BASCMD

#ifndef NOSTUB
#ifndef DOORS
#error: Neither "nostub.h" nor "doors.h" is included!
#endif
#endif

#ifndef __ESI
#define __ESI

typedef char* ESI;

#endif

#define cmd_getcalc _rom_call(void,(ESI),351)
#define cmd_get _rom_call(void,(ESI),350)
#define cmd_printobj _rom_call(void,(ESI),370)
#define cmd_sendchat _rom_call(void,(ESI),389)
#define cmd_sendcalc _rom_call(void,(ESI),388)
#define cmd_send _rom_call(void,(ESI),387)

#define cmd_style _rom_call(void,(ESI,ESI),392)

#define cmd_clrhome _rom_call(void,(void),330)
#define cmd_clrio _rom_call(void,(void),331)
#define cmd_disp _rom_call(void,(ESI),33D)
#define cmd_disphome _rom_call(void,(void),33F)
#define cmd_input _rom_call(void,(ESI),356)
#define cmd_inputstr _rom_call(void,(ESI),357)
#define cmd_newprob _rom_call(void,(void),367)
#define cmd_output _rom_call(void,(ESI,ESI,ESI),369)
#define cmd_pause _rom_call(void,(ESI),36B)
#define cmd_prompt _rom_call(void,(ESI),371)
	#define cmd_delfold _rom_call(void,(ESI),33A)

#define cmd_clrdraw _rom_call(void,(void),32D)
#define cmd_clrgraph _rom_call(void,(void),32F)
#define cmd_clrtable _rom_call(void,(void),332)
#define cmd_dispg _rom_call(void,(void),33E)
#define cmd_disptbl _rom_call(void,(void),340)
#define cmd_fnoff _rom_call(void,(ESI),34D)
#define cmd_fnon _rom_call(void,(ESI),34E)
#define cmd_graph _rom_call(void,(ESI),353)
#define cmd_rclgdb _rom_call(void,(ESI),381)
#define cmd_stogdb _rom_call(void,(ESI),390)

#define cmd_custmon _rom_call(void,(void),336)
#define cmd_custmoff _rom_call(void,(void),335)

#define push_getkey _rom_call(void,(void),316)
#define push_getmode _rom_call(void,(ESI),318)
#define push_setgraph _rom_call(void,(ESI,ESI),322)
#define push_setmode _rom_call(void,(ESI,ESI),323)
#define push_settable _rom_call(void,(ESI,ESI),324)
#define push_switch _rom_call(void,(ESI),327)

#ifdef DOORS

//	void cmd_delfold(ESI);
void cmd_getcalc(ESI);
void cmd_get(ESI);
void cmd_printobj(ESI);
void cmd_sendchat(ESI);
void cmd_sendcalc(ESI);
void cmd_send(ESI);

void cmd_style(ESI,ESI);

void cmd_clrhome(void);
void cmd_clrio(void);
void cmd_disp(ESI);
void cmd_disphome(void);
void cmd_input(ESI);
void cmd_inputstr(ESI);
void cmd_newprob(void);
void cmd_output(ESI,ESI,ESI);
void cmd_pause(ESI);
void cmd_prompt(ESI);

void cmd_clrdraw(void);
void cmd_clrgraph(void);
void cmd_clrtable(void);
void cmd_dispg(void);
void cmd_disptbl(void);
void cmd_fnoff(ESI);
void cmd_fnon(ESI);
void cmd_graph(ESI);
void cmd_rclgdb(ESI);
void cmd_stogdb(ESI);

void cmd_custmon(void);
void cmd_custmoff(void);

void push_getkey(void);
void push_getmode(ESI);
void push_setgraph(ESI,ESI);
void push_setmode(ESI,ESI);
void push_settable(ESI,ESI);
void push_switch(ESI);

#endif

#endif

