//		Ti-Dos by Zaz alias Xavier de Boysson ver 0.1.55
#define SAVE_SCREEN			// saves &then restores screen at the end of the prg
#include <nostub.h>
#include <all.h>

int _ti89,_ti92plus;				// compile for both calcs

void InputCom (char *buffkey, int maxlen)		// better routine than gets from stdio.h (allows backspace etc...)
{
	SCR_STATE scrstat;
	int key, i = 0;
	buffkey[0] = 0;
	SaveScrState (&scrstat);
	do {
		MoveTo (scrstat.CurX, scrstat.CurY);
		printf ("%s  ", buffkey);
		key = ngetchx ();
		if (key >= ' ' && key <= '~' && i < maxlen) buffkey[i++] = key;
			if (key == 257 && i) i--;
				buffkey[i] = 0;
	} while (key != 13);
	printf("\n");
}

int _main(void)
{
	char command[32];				// where all keyb inputs go to as strings
	char TIOSname[16];				// is the TiOS version of the C string (necessary)
	char * namestr;				// name of selected word from str command
	int error;					// Ti-Dos "incorrect command" check (error == 0 then OK)

	char currfold[16];				// name of current folder
	FolderAdd ($(root));				// creates folder root
	FolderCur ($(root),FALSE);			// sets root as current dir
	clrscr ();					// clears screen and resets pen position
	while(1)
	{
	FolderGetCur (currfold);			// gets current fold into currfold
	if (strcmp (currfold,"root") == 0)
		printf("%s","C:\\>");			// the root folder is C:\>
	else
		printf("%s%s%s","C:\\",currfold,">");	// C:\Current folder name>

	InputCom(command,32);			// launches the above function (InputCom)
	#include "functions.c"				// runs functions.c
	}
}

